Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.stanford.smi.protege.server.framestore.background
Enum CacheRequestReason

    java.lang.Object
      java.lang.Enum<CacheRequestReason>
          edu.stanford.smi.protege.server.framestore.background.CacheRequestReason

All Implemented Interfaces:
  Serializable, Comparable<CacheRequestReason>

    public enum CacheRequestReason

extends Enum<CacheRequestReason>

Enum Constant Summary
`DIRECT_INSTANCES`
`IMMEDIATE_PRELOAD`
`NEW_FRAME`
`PRELOAD`
`STATE_MACHINE`
`SUBCLASS`
`USER_CLOSURE_REQUEST`
`USER_NAME_REQUEST`
`USER_REQUESTED_FRAME_VALUES`
`USER_SPECIFIC_FRAMES`

Method Summary
`int` | `priority()`
`static int` | `priority(EnumSet<CacheRequestReason> reasons)`
`static CacheRequestReason` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheRequestReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### USER_REQUESTED_FRAME_VALUES

    public static final CacheRequestReason USER_REQUESTED_FRAME_VALUES

### USER_NAME_REQUEST

    public static final CacheRequestReason USER_NAME_REQUEST

### USER_CLOSURE_REQUEST

    public static final CacheRequestReason USER_CLOSURE_REQUEST

### USER_SPECIFIC_FRAMES

    public static final CacheRequestReason USER_SPECIFIC_FRAMES

### NEW_FRAME

    public static final CacheRequestReason NEW_FRAME

### IMMEDIATE_PRELOAD

    public static final CacheRequestReason IMMEDIATE_PRELOAD

### PRELOAD

    public static final CacheRequestReason PRELOAD

### SUBCLASS

    public static final CacheRequestReason SUBCLASS

### DIRECT_INSTANCES

    public static final CacheRequestReason DIRECT_INSTANCES

### STATE_MACHINE

    public static final CacheRequestReason STATE_MACHINE

Method Detail

### values

    public static final CacheRequestReason[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CacheRequestReason c : CacheRequestReason.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CacheRequestReason valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### priority

    public int priority()

### priority

    public static int priority(EnumSet<CacheRequestReason> reasons)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.